Subject: [netmod] "enabled" functionality in draft-ietf-netmod-routing-cfg-18

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 11 May 2015 19:18:47 +0000

For both the routing-instance and routing-protocol, there is explicit
support, via the “enabled” leaf, for retaining the respective information
in the configuration but removing it from the operational state. This new
functionality would be better provided with generic infra-structure to
include or omit configuration rather than a mandatory leaf in introduced
in these models. Those working on the IGP models (OSPF and IS-IS) reached
consensus that “enabled" should be removed from the ietf-routing model and
the IGPs will model the existing protocol administrative controls. Any
objections? 

Thanks,
Acee